-- rewrite of mysterious unused treeduck script from main game.
-- Good for testing sound positioning

function hit()
  current_sprite:say("I feel magical!")
  -- let's make the duck pos random
  local spr = dink.create_sprite(math.random(600), math.random(400), 3, 21, 1)
  spr.base_walk = 20
  spr.speed = 1
  spr.timing = 33
end
